Subject: bug#52342: [PATCH] Add Texinfo support for Flymake

From: Stefan Kangas <[email-masked]>
Date: Thu, 9 Dec 2021 18:07:31 -0800

Okamsn <[email-masked]> writes:

> Would the file `texinfo.el` loading Flymake affect the use of a more
> recent version of Flymake installed as a package? I have run into issues
> when using Org as a downloaded package, where a library causes the
> built-in version to load, which breaks using the newer features.

AFAIK, this should just work: if a newer version of a package is
installed it should be used instead of the built-in one.  If there are
any problems with that, it might be indicative of a bug somewhere.

> The file `python.el` doesn't seem to do any loading/declaring of Flymake
> features.

Probably it relies on autoloads in flymake itself.  Maybe we could do
the same here, but it depends on whether or not it would make sense to
autoload the things you need.  João is probably the best person to
answer that.